Bug 207455 - blank screen after resume from suspend-to-ram
blank screen after resume from suspend-to-ram
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-09-21 03:41 EDT by Marcel Hild
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-26 15:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Log right after resume (96.20 KB, text/plain)
2006-09-21 03:41 EDT, Marcel Hild
no flags Details
Xorg.0.log.after_switch (127.28 KB, text/plain)
2006-09-21 03:43 EDT, Marcel Hild
no flags Details
xorg.conf (3.00 KB, text/plain)
2006-09-21 03:44 EDT, Marcel Hild
no flags Details

  None (edit)
Description Marcel Hild 2006-09-21 03:41:48 EDT
Description of problem:
After resuming from a suspend to RAM the screen is black (with strange super
dark vertical stripes). If I switch to a console and back to X11 the screen is
back again.

The first attachment is my Xorg.log straight after resume. The problematic part
seems to be:
(II) AIGLX: Suspending AIGLX clients for VT switch
(WW) I810(0): Extended BIOS function 0x5f64 failed.
(WW) I810(0): Extended BIOS function 0x5f64 failed.
(WW) I810(0): Failed to set display devices to 0x800.
(WW) I810(0): Enabling LVDS directly. Pipe B.
(WW) I810(0): Disabling ADPA directly.
(WW) I810(0): Writing config directly to SWF0.
(WW) I810(0): Successfully set original devices

After switching back to X11 Xorg.log gets more messages on resuming X.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
See above
Comment 1 Marcel Hild 2006-09-21 03:41:48 EDT
Created attachment 136823 [details]
Log right after resume
Comment 2 Marcel Hild 2006-09-21 03:43:36 EDT
Created attachment 136824 [details]
Comment 3 Marcel Hild 2006-09-21 03:44:59 EDT
Created attachment 136825 [details]
Comment 4 Marcel Hild 2006-10-24 16:35:43 EDT
still the same with fc6
Comment 5 Kevin Fenzi 2007-03-24 02:02:16 EDT
Hey Marcel. 

Is this still happening now?

How are you doing your suspend? pm-suspend and/or the suspend menu option?

If you edit /etc/acpi/events/video.conf and comment in: 
action=/usr/sbin/vbetool dpms on

Does that help any? 
Comment 6 Marcel Hild 2007-03-24 07:05:56 EDT
I upgraded to rhel5, xorg-x11-drv-i810-1.6.5-9.2.el5, ibm thinkpad x41, it kind
of works.

The screen goes kind-of-black after resume, I see some dark vertical stripes.
But if I switch to a console and back to x-console, the screen is back.

This is my xorg.conf device section:
(I think the vberestore option does exactly, what uncommentig video.conf does.)

Section "Device"
        Identifier  "Videocard0"
        Driver      "i810"
        #Driver      "intel"
        VendorName  "Videocard vendor"
        BoardName   "Intel Corporation Mobile 915GM/GMS/910GML Express Graphics 
        Option      "VBERestore" "yes"
        #Option     "MonitorLayout" "CRT,LFP,CRT+LFP"
        Option      "AllowGLXWithComposite" "true"
        Option      "MonitorLayout" "CRT,LFP"
        Option      "Clone" "true"
        Option      "DevicePresence" "true"
        #Option      "SWCursor" "yes"
        # This should increase performance for aiglx
        #Option "XAANoOffscreenPixmaps" 
Comment 7 Kevin Fenzi 2007-03-24 13:04:31 EDT
Should this bug be copied/movied over to rhel5? 
Do you have any way to test with fc6 or rawhide?

There's only one further suggestion I can think of... try adding to your xorg.conf:

Section "ServerFlags"
        Option "NoPM" "true"

That should let us see if it's a ACPI related issue... on my dell d820 I need 
that in order to get the screen back after a resume. 
Comment 8 Matthew Miller 2007-04-06 15:28:52 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 9 Adam Jackson 2007-05-26 15:09:56 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.